// -*- c++ -*-

//////////////////////////////////////////////////
// (c) MMIV Sven Reichard
// 

# ifndef PrincipalVariationTest_h
# define PrincipalVariationTest_h
# include <cppunit/extensions/HelperMacros.h>
# include <PrincipalVariation.h>
class PrincipalVariationTest
  : public CppUnit::TestFixture
{
  CPPUNIT_TEST_SUITE( PrincipalVariationTest );
  CPPUNIT_TEST( constructor );
  CPPUNIT_TEST( testNext );
  CPPUNIT_TEST( testInsert );
  CPPUNIT_TEST( testInsert2 );
  CPPUNIT_TEST_SUITE_END();
protected:
  void constructor();
  void testNext();
  void testInsert();
  void testInsert2();
};
# endif // PrincipalVariationTest_h
